{
  "version": "2.0.0",
  "tasks": [
    {
      "label": "Build Exercise 1",
      "type": "shell",
      "command": "cd exercise1 && meson . build/ && cd build && ninja",
      "problemMatcher": [],
      "presentation": {
        "echo": true,
        "reveal": "always",
        "focus": false,
        "panel": "shared",
        "showReuseMessage": true,
        "clear": true
      }
    },
    {
      "label": "Run Exercise 1",
      "type": "shell",
      "command": "exercise1/build/./ecg_tree",
      "dependsOn": "Build Exercise 1",
      "problemMatcher": []
    },
    {
      "label": "Build Exercise 2",
      "type": "shell",
      "command": "cd exercise2/build/cmake && cmake . && make -j16",
      "problemMatcher": [],
      "presentation": {
        "echo": true,
        "reveal": "always",
        "focus": false,
        "panel": "shared",
        "showReuseMessage": true,
        "clear": true
      }
    },
    {
      "label": "Run Exercise 3",
      "type": "shell",
      "command": "exercise3/build/cmake/./exercise3",
      "dependsOn": "Build Exercise 3",
      "problemMatcher": []
    },
    {
      "label": "Build Exercise 3",
      "type": "shell",
      "command": "cd exercise3/build/cmake && cmake . && make -j4",
      "problemMatcher": [],
      "presentation": {
        "echo": true,
        "reveal": "always",
        "focus": false,
        "panel": "shared",
        "showReuseMessage": true,
        "clear": true
      }
    },
    {
      "label": "Run Exercise 2",
      "type": "shell",
      "command": "exercise2/build/cmake/./exercise2",
      "dependsOn": "Build Exercise 2",
      "problemMatcher": []
    },
    {
      "type": "shell",
      "label": "g++ build active file",
      "command": "/usr/bin/g++",
      "args": [
        "-g",
        "${file}",
        "-o",
        "${fileDirname}/${fileBasenameNoExtension}"
      ],
      "options": {
        "cwd": "/usr/bin"
      }
    }
  ]
}